.\" -*- nroff -*-
.\" Copyright (c) 1991 Cygnus Support
.\" $Id$
.TH configure 1 "13 December 1991" "cygnus support" "Cygnus Support"
.de BP
.sp
.ti \-.2i
\(**
..

.SH NAME
configure \(em\& prepare source code to be built

.SH SYNOPSIS
configure host1 [host2 [host3 ...]] [-datadir=dir] [-gas] [-help]
[-host=h] [-namesubdir=name] [-nfp] [-norecursion] [-objdir=dir]
[-prefix=dir] [-recurring] [-rm] [-site=s] [-srcdir=dir] [-subdirs]
[-target=t] [-v] [-x]

.SH DESCRIPTION
.I Configure
is a program used to prepare souce code to be built.  It does this by
generating Makefiles and .gdbinit files, creating symlinks, digging
directories, and some other miscellaneous file editting.

.SH OPTIONS
.I Configure
accepts the following options:

.TP
.I \-datadir=dir
sets the root directory for host independent files to
.I dir.

.TP
.I \-gas
tells configure that the GNU assembler is available on this machine
even if it is not ordinarily.

.TP
.I \-help
displays a brief summary of the calling convention.

.TP
.I \-host=h
asks configure to prepare the source to be compiled in an environment
called
.I h.
This option is very confusing and is best ignored.  FIXME: I don't
think it should even be documented.

.TP
.I \-namesubdir=name
When using -subdirs, this option sets the name of the subdir to be
created.  This isn't very useful when configuring for multiple hosts.
NOTE: support for this option is temporarily suspended.

.TP
.I \-nfp
Notifies configure that all of the specified hosts have
.I no floating point
units.

.TP
.I \-norecursion
asks that only the current directory be configured.  Normally
configure recurs on subdirectories.

.TP
.I \-objdir=dir
asks that the build directories be created in dir.  NOTE: support for
this option is at least temporarily suspended.

.TP
.I \-prefix=dir
sets the default location in which to install files to dir.  The
default is "/usr/local".

.TP
.I \-recurring
used internally by configure to supress status messages on
subdirectory recursions.

.TP
.I \-rm
asks configure to remove a configuration rather than creating one.

.TP
.I \-site=s
asks configure to use any site specific Makefile fragments for s when
building Makefiles.

.TP
.I \-srcdir=dir
tells configure to find the source in srcdir.

.TP
.I \-subdirs
asks configure to create subdirectories of the build directory named
"H-host" for each host.  If the configuration is not native, (host is
not target), the the directory will be named "X-host-target" instead.
NOTE: support for this option is temporarily suspended.

.TP
.I \-target=t
Requests that the sources be configured to target the t machine.  If
no targets are specified explicitly, the target is assumed to be the
same as the host.  If multiple targets are specified, configurations
for each are created and -subdirs is assumed.

NOTE: support for multiple targets is at least temporarily suspended.

.TP
.I \-tmpdir=dir
Sets the directory in which configure creates temporary files to
tmpdir.

.TP
.I \-verbose
.I \-v
Asks that configure print status lines for each directory configured.
Normally, only the status lines for the current directory are printed.

.TP
.I \-x
Tells configure that MIT style X11 header files and libraries are
available on this machine, even if they are not normally available.

.SH FILES
configure.in	for each directory's individual needs
config.subr	for parsing configuration names

.SH "SEE ALSO"
.RB "`\|" configure "\|'"
entry in 
.B
info. (not yet available).
